Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Functions | Variables
sliding.hpp File Reference

## Classes
struct | ranges::sliding_view< Rng, cache >
struct | ranges::sliding_view< Rng, sliding_view_detail::cache::first >
struct | ranges::sliding_view< Rng, sliding_view_detail::cache::last >
struct | ranges::sliding_view< Rng, sliding_view_detail::cache::none >
struct | ranges::views::sliding_base_fn
struct | ranges::views::sliding_fn

## Functions
template<typename Rng >
| ranges::sliding_view (Rng &&, range_difference_t< Rng >) -> sliding_view< views::all_t< Rng >>

## Variables
template<typename Rng >
constexpr bool | ranges::enable_borrowed_range< sliding_view< Rng > >